Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.state
Class OutputObjectState

    java.lang.Object
      com.arjuna.ats.arjuna.state.OutputBuffer
          com.arjuna.ats.arjuna.state.OutputObjectState

public class OutputObjectState
extends OutputBuffer

OutputObjectState provides some additional methods to a basic OutputBuffer.

Since:
  JTS 1.0.
Version:
  $Id: OutputObjectState.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary

Fields inherited from class com.arjuna.ats.arjuna.state.OutputBuffer
`_valid, ALIGNMENT, headerSize`

Constructor Summary
`OutputObjectState()`
`OutputObjectState(InputObjectState copyFrom)`
`OutputObjectState(OutputObjectState copyFrom)`
`OutputObjectState(Uid newUid, java.lang.String tName)`
`OutputObjectState(Uid newUid, java.lang.String tName, byte[] buffer)`

Method Summary
`void` | `copy(OutputObjectState objstate)`
`boolean` | `notempty()`
`void` | `packInto(OutputBuffer buff)` Pack this buffer into that provided.
`void` | `print(java.io.PrintWriter strm)` Print out information about this instance.
`int` | `size()`
`Uid` | `stateUid()`
`java.lang.String` | `toString()`
`java.lang.String` | `type()`

Methods inherited from class com.arjuna.ats.arjuna.state.OutputBuffer
`buffer, copy, length, packBoolean, packByte, packBytes, packChar, packDouble, packFloat, packInt, packLong, packShort, packString, reset, rewrite, valid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputObjectState

    public OutputObjectState()

### OutputObjectState

    public OutputObjectState(OutputObjectState copyFrom)

### OutputObjectState

    public OutputObjectState(InputObjectState copyFrom)

### OutputObjectState

    public OutputObjectState(Uid newUid,
                             java.lang.String tName)

### OutputObjectState

    public OutputObjectState(Uid newUid,
                             java.lang.String tName,
                             byte[] buffer)

Method Detail

### notempty

    public final boolean notempty()

### size

    public final int size()

### stateUid

    public final Uid stateUid()

### type

    public final java.lang.String type()

### print

    public void print(java.io.PrintWriter strm)

  Description copied from class: `OutputBuffer`
  Print out information about this instance.

  Overrides:
    `print` in class `OutputBuffer`

### toString

    public java.lang.String toString()

### copy

    public void copy(OutputObjectState objstate)

### packInto

    public void packInto(OutputBuffer buff)
                  throws java.io.IOException

  Description copied from class: `OutputBuffer`
  Pack this buffer into that provided. If the buffer is invalid then an IOException is thrown.

  Overrides:
    `packInto` in class `OutputBuffer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD